/*! 
    \file proto_class.h
    \brief Definition of ...

*/

#ifndef _ACTION_LISTENER_H
#define _ACTION_LISTENER_H

#include "base_object.h"



//! an abstract class that stands for an action listener
class ActionListener : public BaseObject {

 public:
  ActionListener();
  virtual ~ActionListener();

  void actionPerformed() {}

  virtual void command(Command* cmd) = NULL;

};

#endif /* _ACTION_LISTENER_H */
